Package org.apache.sling.cms.usergenerated

## Interface UserGeneratedContentService

    @ProviderType
    public interface UserGeneratedContentService

Service for creating User Generated Content

### Nested Class Summary

Nested Classes
`static class` `UserGeneratedContentService.APPROVE_ACTION`
`static class` `UserGeneratedContentService.CONTENT_TYPE`

### Method Summary

All Methods Instance Methods Abstract Methods
`org.apache.sling.api.resource.Resource` `createUGCContainer​(org.apache.sling.api.SlingHttpServletRequest request, UGCBucketConfig bucketConfig, String preview, String targetPath)` Creates a new container for adding user generated content which should be published when approved.

### Method Detail

#### createUGCContainer

    org.apache.sling.api.resource.Resource createUGCContainer​(org.apache.sling.api.SlingHttpServletRequest request,
                                                              UGCBucketConfig bucketConfig,
                                                              String preview,
                                                              String targetPath)
                                                       throws org.apache.sling.api.resource.PersistenceException

Creates a new container for adding user generated content which should be published when approved. The UGC content should be added as a child of this container.

Parameters:
  `request` - the request for which this was initiated
  `bucketConfig` - the configuration for the UGC bucket
  `preview` - the preview of the UGC to be displayed to the approving user
  `targetPath` - the path to which to move the content if this should be moved when approved, may be null
Returns:
  the new UGC Container
Throws:
  `org.apache.sling.api.resource.PersistenceException` - an exception occurs creating the UGC Container